<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Button Panel Infusion
| Original author: cmike
| Email: mcwiklinski@gmail.com
| Continued starting v2.00: muscapaul
| Email: muscapaul@gmail.com
| Web: http://www.muscapaul.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include LOCALE.LOCALESET."syslog.php";
include LOCALE.LOCALESET."admin/hf_demo_sys.php";


if (!checkrights("S13") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$syslog_log_ip = USER_IP;
$syslog_log_pname = $locale['hf_asp_000']." - ";

if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n"; 
}

if ($settings['ef_user_admin_prefix_enable'] == "0") {
   echo "<div class='admin-message'>".$locale['hf_asp_026']."</div>\n"; 
}


$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$pref_id = (isset($_REQUEST['pref_id']) AND isnum($_REQUEST['pref_id'])) ? $_REQUEST['pref_id'] : "";

opentable($locale['hf_asp_000']);
switch ($axn) {
	default:
	 $result = dbquery("SELECT * FROM ".DB_HF_ADMIN_PREFIX." ");
	$rows = dbrows($result);
	if ($rows > 0) {
		echo "<table width='40%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
		echo "<tr><td align='center' class='tbl2' style='font-weight:bold'>".$locale['hf_asp_010']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hf_asp_012']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hf_asp_019']."</td></tr>\n";
		while ($data = dbarray($result)) {
			echo "<tr><td align='center' class='tbl1'>".getuserlevel($data['sdp_level'])."</td>\n";
			echo "<td align='center' class='tbl1'>".$data['sdp_prefix']."</td>\n";
			echo "<td align='center' class='tbl1'>";      
      echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=edit&pref_id=".$data['sdp_id']."'>".$locale['hf_asp_007']."</a> | \n";
			 if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
                echo $locale['hf_asp_006'];
       } else {
                echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=del&pref_id=".$data['sdp_id']."'>".$locale['hf_asp_006']."</a>";
       }
      echo "</td>	</tr>\n";
		}
		echo "<tr><td align='right' class='tbl2' colspan='8'><p style='padding:0.4em;'><a href='".FUSION_SELF.$aidlink."&amp;axn=add'>".$locale['hf_asp_003']."</a></p></td></tr></table>\n";
	}
	else {
		echo "<div style='text-align:center'><p style='margin-top:2em'><span style='color:#cc0000; weight:bold;font-size:1.5em;'>".$locale['hf_asp_002']."</span></p>\n";
		echo "<p style='margin-bottom:2em'><a href='".FUSION_SELF.$aidlink."&amp;axn=add'>".$locale['hf_asp_003']."</a></p></div>\n";
	}
	break;
	case 'add':
	if (isset($_POST['add_button'])) {
		if (hf_get_ifexists_user_admin_prefix($_POST['user_admin_level']) === true) {
             dbquery("UPDATE ".DB_HF_ADMIN_PREFIX." SET  sdp_prefix='".$_POST['user_admin_prefix']."' WHERE sdp_level='".$_POST['user_admin_level']."'");
		          //syslog
		          if ($settings['ef_log_system'] == "1") {
                      $message1 = $locale['hf_asp_008'];
                      dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message1', '$syslog_log_ip', '".time()."')");
              }
    } else {
              dbquery("INSERT INTO ".DB_HF_ADMIN_PREFIX." VALUES('', '".$_POST['user_admin_level']."', '".$_POST['user_admin_prefix']."', '')");
		          //syslog
		          if ($settings['ef_log_system'] == "1") {
                      $message1 = $locale['hf_asp_025'];
                      dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message1', '$syslog_log_ip', '".time()."')");
              }
    }
    
   
		redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=add' method='post' style='margin:2em;'>\n";
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['hf_asp_003']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' width='35%' style='font-weight:bold;'>".$locale['hf_asp_011']."</td>\n";
		echo "<td class='tbl1' align='left' width='65%'><select name='user_admin_level' class='textbox'>\n";
    echo "<option value='106'>".$locale['hf_asp_021']."</option>\n";
    echo "<option value='105'>".$locale['hf_asp_022']."</option>\n";
    echo "<option value='104'>".$locale['hf_asp_023']."</option>\n";
    echo "</select></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['hf_asp_014']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='user_admin_prefix' size='40' class='textbox' /></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl1' colspan='2'><input type='submit' name='add_button' value='".$locale['hf_asp_020']."' class='button' /></td></tr>\n";
		echo "</table>\n</form>\n";
	}
	break;
	case 'edit':
	if (isset($_POST['edit_button'])) {
		dbquery("UPDATE ".DB_HF_ADMIN_PREFIX." SET  sdp_prefix='".$_POST['user_admin_prefix']."' WHERE sdp_id='".$pref_id."'");
		//syslog
		 if ($settings['ef_log_system'] == "1") {
              $message2 = $locale['hf_asp_008'];
              dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message2', '$syslog_log_ip', '".time()."')");
     }
    redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		$result = dbquery("SELECT * FROM ".DB_HF_ADMIN_PREFIX." WHERE sdp_id=".$pref_id."");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=edit' method='post' style='margin:2em;'>\n";
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['hf_asp_015']."</span></td></tr>\n";
	  echo "<tr><td class='tbl1' align='right' width='35%' style='font-weight:bold;'>".$locale['hf_asp_011']."</td>\n";
		echo "<td class='tbl1' align='left' width='65%'>".getuserlevel($data['sdp_level'])."</td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['hf_asp_014']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='user_admin_prefix' size='40' class='textbox' value='".$data['sdp_prefix']."' /></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl1' colspan='2'>\n";
		echo "<input type='hidden' name='pref_id' value='$pref_id'><input type='submit' name='edit_button' value='".$locale['hf_asp_020']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>\n";
	}
	break;
	case 'del':
	if (isset($_POST['del_button'])) {
		dbquery("DELETE FROM ".DB_HF_ADMIN_PREFIX." WHERE sdp_id='".$pref_id."'");
		//syslog
		 if ($settings['ef_log_system'] == "1") {
              $message3 = $locale['hf_asp_009'];
              dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message3', '$syslog_log_ip', '".time()."')");
     }
    redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		$result = dbquery("SELECT * FROM ".DB_HF_ADMIN_PREFIX." WHERE sdp_id='".$pref_id."'");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=del' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['hf_asp_016']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n";
		echo "<p style='padding:2em;'>".$locale['hf_asp_017']."<span style='font-weight:bold;'>".getuserlevel($data['sdp_level'])." - ".$data['sdp_prefix']."</span>".$locale['hf_asp_018']."\n";
		echo "</td></tr>\n";
		echo "<tr><td align='center' class='tbl1'><input type='hidden' name='pref_id' value='$pref_id' />\n";
		if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
             echo "<input type='submit' name='del_button' value='".$locale['hf_asp_005']."' disabled='disabled' class='button' />\n";
    } else {
             echo "<input type='submit' name='del_button' value='".$locale['hf_asp_005']."' class='button' />\n";
		}
    echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['hf_asp_024']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;
}
closetable();

require_once THEMES."templates/footer.php";
?>